------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 1.12
--  \   \         Application : Virtex-6 FPGA GTX Transceiver Wizard
--  /   /         Filename : v6_gtx_quad_backplane_p2p_114.vhd
-- /___/   /\      
-- \   \  /  \ 
--  \___\/\___\
--
--
-- Instantiation Template
-- Generated by Xilinx Virtex-6 FPGA GTX Transceiver Wizard


--**************************Component Declarations*****************************


component v6_gtx_quad_backplane_p2p_114 
generic
(
    -- Simulation attributes
    WRAPPER_SIM_GTXRESET_SPEEDUP    : integer   := 0 -- Set to 1 to speed up sim reset
);
port
(
    
    --_________________________________________________________________________
    --_________________________________________________________________________
    --GTX0  (X0_Y8)

    ------------------------ Loopback and Powerdown Ports ----------------------
    GTX0_LOOPBACK_IN                        : in   std_logic_vector(2 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    GTX0_RXCHARISK_OUT                      : out  std_logic;
    GTX0_RXDISPERR_OUT                      : out  std_logic;
    GTX0_RXNOTINTABLE_OUT                   : out  std_logic;
    ------------------- Receive Ports - Clock Correction Ports -----------------
    GTX0_RXCLKCORCNT_OUT                    : out  std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    GTX0_RXCOMMADET_OUT                     : out  std_logic;
    GTX0_RXENMCOMMAALIGN_IN                 : in   std_logic;
    GTX0_RXENPCOMMAALIGN_IN                 : in   std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    GTX0_RXDATA_OUT                         : out  std_logic_vector(7 downto 0);
    GTX0_RXRESET_IN                         : in   std_logic;
    GTX0_RXUSRCLK_IN                        : in   std_logic;
    GTX0_RXUSRCLK2_IN                       : in   std_logic;
    ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
    GTX0_RXEQMIX_IN                         : in   std_logic_vector(2 downto 0);
    GTX0_RXN_IN                             : in   std_logic;
    GTX0_RXP_IN                             : in   std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    GTX0_GREFCLKRX_IN                       : in   std_logic;
    GTX0_GTXRXRESET_IN                      : in   std_logic;
    GTX0_MGTREFCLKRX_IN                     : in   std_logic;
    GTX0_NORTHREFCLKRX_IN                   : in   std_logic_vector(1 downto 0);
    GTX0_PERFCLKRX_IN                       : in   std_logic;
    GTX0_PLLRXRESET_IN                      : in   std_logic;
    GTX0_RXPLLLKDET_OUT                     : out  std_logic;
    GTX0_RXPLLREFSELDY_IN                   : in   std_logic_vector(2 downto 0);
    GTX0_RXRESETDONE_OUT                    : out  std_logic;
    GTX0_SOUTHREFCLKRX_IN                   : in   std_logic_vector(1 downto 0);
    ----------------- Receive Ports - RX Polarity Control Ports ----------------
    GTX0_RXPOLARITY_IN                      : in   std_logic;
    ------------- Shared Ports - Dynamic Reconfiguration Port (DRP) ------------
    GTX0_DADDR_IN                           : in   std_logic_vector(7 downto 0);
    GTX0_DCLK_IN                            : in   std_logic;
    GTX0_DEN_IN                             : in   std_logic;
    GTX0_DI_IN                              : in   std_logic_vector(15 downto 0);
    GTX0_DRDY_OUT                           : out  std_logic;
    GTX0_DRPDO_OUT                          : out  std_logic_vector(15 downto 0);
    GTX0_DWE_IN                             : in   std_logic;
    ---------------- Transmit Ports - 8b10b Encoder Control Ports --------------
    GTX0_TXCHARISK_IN                       : in   std_logic;
    ------------------ Transmit Ports - TX Data Path interface -----------------
    GTX0_TXDATA_IN                          : in   std_logic_vector(7 downto 0);
    GTX0_TXOUTCLK_OUT                       : out  std_logic;
    GTX0_TXRESET_IN                         : in   std_logic;
    GTX0_TXUSRCLK_IN                        : in   std_logic;
    GTX0_TXUSRCLK2_IN                       : in   std_logic;
    ---------------- Transmit Ports - TX Driver and OOB signaling --------------
    GTX0_TXDIFFCTRL_IN                      : in   std_logic_vector(3 downto 0);
    GTX0_TXN_OUT                            : out  std_logic;
    GTX0_TXP_OUT                            : out  std_logic;
    GTX0_TXPOSTEMPHASIS_IN                  : in   std_logic_vector(4 downto 0);
    --------------- Transmit Ports - TX Driver and OOB signalling --------------
    GTX0_TXPREEMPHASIS_IN                   : in   std_logic_vector(3 downto 0);
    ----------------------- Transmit Ports - TX PLL Ports ----------------------
    GTX0_GREFCLKTX_IN                       : in   std_logic;
    GTX0_GTXTXRESET_IN                      : in   std_logic;
    GTX0_NORTHREFCLKTX_IN                   : in   std_logic_vector(1 downto 0);
    GTX0_PERFCLKTX_IN                       : in   std_logic;
    GTX0_SOUTHREFCLKTX_IN                   : in   std_logic_vector(1 downto 0);
    GTX0_TXPLLREFSELDY_IN                   : in   std_logic_vector(2 downto 0);
    GTX0_TXRESETDONE_OUT                    : out  std_logic;
    -------------------- Transmit Ports - TX Polarity Control ------------------
    GTX0_TXPOLARITY_IN                      : in   std_logic;


    
    --_________________________________________________________________________
    --_________________________________________________________________________
    --GTX1  (X0_Y9)

    ------------------------ Loopback and Powerdown Ports ----------------------
    GTX1_LOOPBACK_IN                        : in   std_logic_vector(2 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    GTX1_RXCHARISK_OUT                      : out  std_logic;
    GTX1_RXDISPERR_OUT                      : out  std_logic;
    GTX1_RXNOTINTABLE_OUT                   : out  std_logic;
    ------------------- Receive Ports - Clock Correction Ports -----------------
    GTX1_RXCLKCORCNT_OUT                    : out  std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    GTX1_RXCOMMADET_OUT                     : out  std_logic;
    GTX1_RXENMCOMMAALIGN_IN                 : in   std_logic;
    GTX1_RXENPCOMMAALIGN_IN                 : in   std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    GTX1_RXDATA_OUT                         : out  std_logic_vector(7 downto 0);
    GTX1_RXRESET_IN                         : in   std_logic;
    GTX1_RXUSRCLK_IN                        : in   std_logic;
    GTX1_RXUSRCLK2_IN                       : in   std_logic;
    ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
    GTX1_RXEQMIX_IN                         : in   std_logic_vector(2 downto 0);
    GTX1_RXN_IN                             : in   std_logic;
    GTX1_RXP_IN                             : in   std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    GTX1_GREFCLKRX_IN                       : in   std_logic;
    GTX1_GTXRXRESET_IN                      : in   std_logic;
    GTX1_MGTREFCLKRX_IN                     : in   std_logic;
    GTX1_NORTHREFCLKRX_IN                   : in   std_logic_vector(1 downto 0);
    GTX1_PERFCLKRX_IN                       : in   std_logic;
    GTX1_PLLRXRESET_IN                      : in   std_logic;
    GTX1_RXPLLLKDET_OUT                     : out  std_logic;
    GTX1_RXPLLREFSELDY_IN                   : in   std_logic_vector(2 downto 0);
    GTX1_RXRESETDONE_OUT                    : out  std_logic;
    GTX1_SOUTHREFCLKRX_IN                   : in   std_logic_vector(1 downto 0);
    ----------------- Receive Ports - RX Polarity Control Ports ----------------
    GTX1_RXPOLARITY_IN                      : in   std_logic;
    ------------- Shared Ports - Dynamic Reconfiguration Port (DRP) ------------
    GTX1_DADDR_IN                           : in   std_logic_vector(7 downto 0);
    GTX1_DCLK_IN                            : in   std_logic;
    GTX1_DEN_IN                             : in   std_logic;
    GTX1_DI_IN                              : in   std_logic_vector(15 downto 0);
    GTX1_DRDY_OUT                           : out  std_logic;
    GTX1_DRPDO_OUT                          : out  std_logic_vector(15 downto 0);
    GTX1_DWE_IN                             : in   std_logic;
    ---------------- Transmit Ports - 8b10b Encoder Control Ports --------------
    GTX1_TXCHARISK_IN                       : in   std_logic;
    ------------------ Transmit Ports - TX Data Path interface -----------------
    GTX1_TXDATA_IN                          : in   std_logic_vector(7 downto 0);
    GTX1_TXOUTCLK_OUT                       : out  std_logic;
    GTX1_TXRESET_IN                         : in   std_logic;
    GTX1_TXUSRCLK_IN                        : in   std_logic;
    GTX1_TXUSRCLK2_IN                       : in   std_logic;
    ---------------- Transmit Ports - TX Driver and OOB signaling --------------
    GTX1_TXDIFFCTRL_IN                      : in   std_logic_vector(3 downto 0);
    GTX1_TXN_OUT                            : out  std_logic;
    GTX1_TXP_OUT                            : out  std_logic;
    GTX1_TXPOSTEMPHASIS_IN                  : in   std_logic_vector(4 downto 0);
    --------------- Transmit Ports - TX Driver and OOB signalling --------------
    GTX1_TXPREEMPHASIS_IN                   : in   std_logic_vector(3 downto 0);
    ----------------------- Transmit Ports - TX PLL Ports ----------------------
    GTX1_GREFCLKTX_IN                       : in   std_logic;
    GTX1_GTXTXRESET_IN                      : in   std_logic;
    GTX1_NORTHREFCLKTX_IN                   : in   std_logic_vector(1 downto 0);
    GTX1_PERFCLKTX_IN                       : in   std_logic;
    GTX1_SOUTHREFCLKTX_IN                   : in   std_logic_vector(1 downto 0);
    GTX1_TXPLLREFSELDY_IN                   : in   std_logic_vector(2 downto 0);
    GTX1_TXRESETDONE_OUT                    : out  std_logic;
    -------------------- Transmit Ports - TX Polarity Control ------------------
    GTX1_TXPOLARITY_IN                      : in   std_logic;


    
    --_________________________________________________________________________
    --_________________________________________________________________________
    --GTX2  (X0_Y10)

    ------------------------ Loopback and Powerdown Ports ----------------------
    GTX2_LOOPBACK_IN                        : in   std_logic_vector(2 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    GTX2_RXCHARISK_OUT                      : out  std_logic;
    GTX2_RXDISPERR_OUT                      : out  std_logic;
    GTX2_RXNOTINTABLE_OUT                   : out  std_logic;
    ------------------- Receive Ports - Clock Correction Ports -----------------
    GTX2_RXCLKCORCNT_OUT                    : out  std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    GTX2_RXCOMMADET_OUT                     : out  std_logic;
    GTX2_RXENMCOMMAALIGN_IN                 : in   std_logic;
    GTX2_RXENPCOMMAALIGN_IN                 : in   std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    GTX2_RXDATA_OUT                         : out  std_logic_vector(7 downto 0);
    GTX2_RXRESET_IN                         : in   std_logic;
    GTX2_RXUSRCLK_IN                        : in   std_logic;
    GTX2_RXUSRCLK2_IN                       : in   std_logic;
    ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
    GTX2_RXEQMIX_IN                         : in   std_logic_vector(2 downto 0);
    GTX2_RXN_IN                             : in   std_logic;
    GTX2_RXP_IN                             : in   std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    GTX2_GREFCLKRX_IN                       : in   std_logic;
    GTX2_GTXRXRESET_IN                      : in   std_logic;
    GTX2_MGTREFCLKRX_IN                     : in   std_logic;
    GTX2_NORTHREFCLKRX_IN                   : in   std_logic_vector(1 downto 0);
    GTX2_PERFCLKRX_IN                       : in   std_logic;
    GTX2_PLLRXRESET_IN                      : in   std_logic;
    GTX2_RXPLLLKDET_OUT                     : out  std_logic;
    GTX2_RXPLLREFSELDY_IN                   : in   std_logic_vector(2 downto 0);
    GTX2_RXRESETDONE_OUT                    : out  std_logic;
    GTX2_SOUTHREFCLKRX_IN                   : in   std_logic_vector(1 downto 0);
    ----------------- Receive Ports - RX Polarity Control Ports ----------------
    GTX2_RXPOLARITY_IN                      : in   std_logic;
    ------------- Shared Ports - Dynamic Reconfiguration Port (DRP) ------------
    GTX2_DADDR_IN                           : in   std_logic_vector(7 downto 0);
    GTX2_DCLK_IN                            : in   std_logic;
    GTX2_DEN_IN                             : in   std_logic;
    GTX2_DI_IN                              : in   std_logic_vector(15 downto 0);
    GTX2_DRDY_OUT                           : out  std_logic;
    GTX2_DRPDO_OUT                          : out  std_logic_vector(15 downto 0);
    GTX2_DWE_IN                             : in   std_logic;
    ---------------- Transmit Ports - 8b10b Encoder Control Ports --------------
    GTX2_TXCHARISK_IN                       : in   std_logic;
    ------------------ Transmit Ports - TX Data Path interface -----------------
    GTX2_TXDATA_IN                          : in   std_logic_vector(7 downto 0);
    GTX2_TXOUTCLK_OUT                       : out  std_logic;
    GTX2_TXRESET_IN                         : in   std_logic;
    GTX2_TXUSRCLK_IN                        : in   std_logic;
    GTX2_TXUSRCLK2_IN                       : in   std_logic;
    ---------------- Transmit Ports - TX Driver and OOB signaling --------------
    GTX2_TXDIFFCTRL_IN                      : in   std_logic_vector(3 downto 0);
    GTX2_TXN_OUT                            : out  std_logic;
    GTX2_TXP_OUT                            : out  std_logic;
    GTX2_TXPOSTEMPHASIS_IN                  : in   std_logic_vector(4 downto 0);
    --------------- Transmit Ports - TX Driver and OOB signalling --------------
    GTX2_TXPREEMPHASIS_IN                   : in   std_logic_vector(3 downto 0);
    ----------------------- Transmit Ports - TX PLL Ports ----------------------
    GTX2_GREFCLKTX_IN                       : in   std_logic;
    GTX2_GTXTXRESET_IN                      : in   std_logic;
    GTX2_NORTHREFCLKTX_IN                   : in   std_logic_vector(1 downto 0);
    GTX2_PERFCLKTX_IN                       : in   std_logic;
    GTX2_SOUTHREFCLKTX_IN                   : in   std_logic_vector(1 downto 0);
    GTX2_TXPLLREFSELDY_IN                   : in   std_logic_vector(2 downto 0);
    GTX2_TXRESETDONE_OUT                    : out  std_logic;
    -------------------- Transmit Ports - TX Polarity Control ------------------
    GTX2_TXPOLARITY_IN                      : in   std_logic;


    
    --_________________________________________________________________________
    --_________________________________________________________________________
    --GTX3  (X0_Y11)

    ------------------------ Loopback and Powerdown Ports ----------------------
    GTX3_LOOPBACK_IN                        : in   std_logic_vector(2 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    GTX3_RXCHARISK_OUT                      : out  std_logic;
    GTX3_RXDISPERR_OUT                      : out  std_logic;
    GTX3_RXNOTINTABLE_OUT                   : out  std_logic;
    ------------------- Receive Ports - Clock Correction Ports -----------------
    GTX3_RXCLKCORCNT_OUT                    : out  std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    GTX3_RXCOMMADET_OUT                     : out  std_logic;
    GTX3_RXENMCOMMAALIGN_IN                 : in   std_logic;
    GTX3_RXENPCOMMAALIGN_IN                 : in   std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    GTX3_RXDATA_OUT                         : out  std_logic_vector(7 downto 0);
    GTX3_RXRESET_IN                         : in   std_logic;
    GTX3_RXUSRCLK_IN                        : in   std_logic;
    GTX3_RXUSRCLK2_IN                       : in   std_logic;
    ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
    GTX3_RXEQMIX_IN                         : in   std_logic_vector(2 downto 0);
    GTX3_RXN_IN                             : in   std_logic;
    GTX3_RXP_IN                             : in   std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    GTX3_GREFCLKRX_IN                       : in   std_logic;
    GTX3_GTXRXRESET_IN                      : in   std_logic;
    GTX3_MGTREFCLKRX_IN                     : in   std_logic;
    GTX3_NORTHREFCLKRX_IN                   : in   std_logic_vector(1 downto 0);
    GTX3_PERFCLKRX_IN                       : in   std_logic;
    GTX3_PLLRXRESET_IN                      : in   std_logic;
    GTX3_RXPLLLKDET_OUT                     : out  std_logic;
    GTX3_RXPLLREFSELDY_IN                   : in   std_logic_vector(2 downto 0);
    GTX3_RXRESETDONE_OUT                    : out  std_logic;
    GTX3_SOUTHREFCLKRX_IN                   : in   std_logic_vector(1 downto 0);
    ----------------- Receive Ports - RX Polarity Control Ports ----------------
    GTX3_RXPOLARITY_IN                      : in   std_logic;
    ------------- Shared Ports - Dynamic Reconfiguration Port (DRP) ------------
    GTX3_DADDR_IN                           : in   std_logic_vector(7 downto 0);
    GTX3_DCLK_IN                            : in   std_logic;
    GTX3_DEN_IN                             : in   std_logic;
    GTX3_DI_IN                              : in   std_logic_vector(15 downto 0);
    GTX3_DRDY_OUT                           : out  std_logic;
    GTX3_DRPDO_OUT                          : out  std_logic_vector(15 downto 0);
    GTX3_DWE_IN                             : in   std_logic;
    ---------------- Transmit Ports - 8b10b Encoder Control Ports --------------
    GTX3_TXCHARISK_IN                       : in   std_logic;
    ------------------ Transmit Ports - TX Data Path interface -----------------
    GTX3_TXDATA_IN                          : in   std_logic_vector(7 downto 0);
    GTX3_TXOUTCLK_OUT                       : out  std_logic;
    GTX3_TXRESET_IN                         : in   std_logic;
    GTX3_TXUSRCLK_IN                        : in   std_logic;
    GTX3_TXUSRCLK2_IN                       : in   std_logic;
    ---------------- Transmit Ports - TX Driver and OOB signaling --------------
    GTX3_TXDIFFCTRL_IN                      : in   std_logic_vector(3 downto 0);
    GTX3_TXN_OUT                            : out  std_logic;
    GTX3_TXP_OUT                            : out  std_logic;
    GTX3_TXPOSTEMPHASIS_IN                  : in   std_logic_vector(4 downto 0);
    --------------- Transmit Ports - TX Driver and OOB signalling --------------
    GTX3_TXPREEMPHASIS_IN                   : in   std_logic_vector(3 downto 0);
    ----------------------- Transmit Ports - TX PLL Ports ----------------------
    GTX3_GREFCLKTX_IN                       : in   std_logic;
    GTX3_GTXTXRESET_IN                      : in   std_logic;
    GTX3_NORTHREFCLKTX_IN                   : in   std_logic_vector(1 downto 0);
    GTX3_PERFCLKTX_IN                       : in   std_logic;
    GTX3_SOUTHREFCLKTX_IN                   : in   std_logic_vector(1 downto 0);
    GTX3_TXPLLREFSELDY_IN                   : in   std_logic_vector(2 downto 0);
    GTX3_TXRESETDONE_OUT                    : out  std_logic;
    -------------------- Transmit Ports - TX Polarity Control ------------------
    GTX3_TXPOLARITY_IN                      : in   std_logic


);
end component;










    ----------------------------- The GTX Wrapper -----------------------------


    v6_gtx_quad_backplane_p2p_114_i : v6_gtx_quad_backplane_p2p_114
    generic map
    (
        WRAPPER_SIM_GTXRESET_SPEEDUP    =>      1
    )
    port map
    (
        --_____________________________________________________________________
        --_____________________________________________________________________
        --GTX0  (X0Y8)

        ------------------------ Loopback and Powerdown Ports ----------------------
        GTX0_LOOPBACK_IN                =>      ,
        ----------------------- Receive Ports - 8b10b Decoder ----------------------
        GTX0_RXCHARISK_OUT              =>      ,
        GTX0_RXDISPERR_OUT              =>      ,
        GTX0_RXNOTINTABLE_OUT           =>      ,
        ------------------- Receive Ports - Clock Correction Ports -----------------
        GTX0_RXCLKCORCNT_OUT            =>      ,
        --------------- Receive Ports - Comma Detection and Alignment --------------
        GTX0_RXCOMMADET_OUT             =>      ,
        GTX0_RXENMCOMMAALIGN_IN         =>      ,
        GTX0_RXENPCOMMAALIGN_IN         =>      ,
        ------------------- Receive Ports - RX Data Path interface -----------------
        GTX0_RXDATA_OUT                 =>      ,
        GTX0_RXRESET_IN                 =>      ,
        GTX0_RXUSRCLK_IN                =>      ,
        GTX0_RXUSRCLK2_IN               =>      ,
        ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        GTX0_RXEQMIX_IN                 =>      ,
        GTX0_RXN_IN                     =>      ,
        GTX0_RXP_IN                     =>      ,
        ------------------------ Receive Ports - RX PLL Ports ----------------------
        GTX0_GREFCLKRX_IN               =>      ,
        GTX0_GTXRXRESET_IN              =>      ,
        GTX0_MGTREFCLKRX_IN             =>      ,
        GTX0_NORTHREFCLKRX_IN           =>      ,
        GTX0_PERFCLKRX_IN               =>      ,
        GTX0_PLLRXRESET_IN              =>      ,
        GTX0_RXPLLLKDET_OUT             =>      ,
        GTX0_RXPLLREFSELDY_IN           =>      ,
        GTX0_RXRESETDONE_OUT            =>      ,
        GTX0_SOUTHREFCLKRX_IN           =>      ,
        ----------------- Receive Ports - RX Polarity Control Ports ----------------
        GTX0_RXPOLARITY_IN              =>      ,
        ------------- Shared Ports - Dynamic Reconfiguration Port (DRP) ------------
        GTX0_DADDR_IN                   =>      ,
        GTX0_DCLK_IN                    =>      ,
        GTX0_DEN_IN                     =>      ,
        GTX0_DI_IN                      =>      ,
        GTX0_DRDY_OUT                   =>      ,
        GTX0_DRPDO_OUT                  =>      ,
        GTX0_DWE_IN                     =>      ,
        ---------------- Transmit Ports - 8b10b Encoder Control Ports --------------
        GTX0_TXCHARISK_IN               =>      ,
        ------------------ Transmit Ports - TX Data Path interface -----------------
        GTX0_TXDATA_IN                  =>      ,
        GTX0_TXOUTCLK_OUT               =>      ,
        GTX0_TXRESET_IN                 =>      ,
        GTX0_TXUSRCLK_IN                =>      ,
        GTX0_TXUSRCLK2_IN               =>      ,
        ---------------- Transmit Ports - TX Driver and OOB signaling --------------
        GTX0_TXDIFFCTRL_IN              =>      ,
        GTX0_TXN_OUT                    =>      ,
        GTX0_TXP_OUT                    =>      ,
        GTX0_TXPOSTEMPHASIS_IN          =>      ,
        --------------- Transmit Ports - TX Driver and OOB signalling --------------
        GTX0_TXPREEMPHASIS_IN           =>      ,
        ----------------------- Transmit Ports - TX PLL Ports ----------------------
        GTX0_GREFCLKTX_IN               =>      ,
        GTX0_GTXTXRESET_IN              =>      ,
        GTX0_NORTHREFCLKTX_IN           =>      ,
        GTX0_PERFCLKTX_IN               =>      ,
        GTX0_SOUTHREFCLKTX_IN           =>      ,
        GTX0_TXPLLREFSELDY_IN           =>      ,
        GTX0_TXRESETDONE_OUT            =>      ,
        -------------------- Transmit Ports - TX Polarity Control ------------------
        GTX0_TXPOLARITY_IN              =>      ,


        --_____________________________________________________________________
        --_____________________________________________________________________
        --GTX1  (X0Y9)

        ------------------------ Loopback and Powerdown Ports ----------------------
        GTX1_LOOPBACK_IN                =>      ,
        ----------------------- Receive Ports - 8b10b Decoder ----------------------
        GTX1_RXCHARISK_OUT              =>      ,
        GTX1_RXDISPERR_OUT              =>      ,
        GTX1_RXNOTINTABLE_OUT           =>      ,
        ------------------- Receive Ports - Clock Correction Ports -----------------
        GTX1_RXCLKCORCNT_OUT            =>      ,
        --------------- Receive Ports - Comma Detection and Alignment --------------
        GTX1_RXCOMMADET_OUT             =>      ,
        GTX1_RXENMCOMMAALIGN_IN         =>      ,
        GTX1_RXENPCOMMAALIGN_IN         =>      ,
        ------------------- Receive Ports - RX Data Path interface -----------------
        GTX1_RXDATA_OUT                 =>      ,
        GTX1_RXRESET_IN                 =>      ,
        GTX1_RXUSRCLK_IN                =>      ,
        GTX1_RXUSRCLK2_IN               =>      ,
        ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        GTX1_RXEQMIX_IN                 =>      ,
        GTX1_RXN_IN                     =>      ,
        GTX1_RXP_IN                     =>      ,
        ------------------------ Receive Ports - RX PLL Ports ----------------------
        GTX1_GREFCLKRX_IN               =>      ,
        GTX1_GTXRXRESET_IN              =>      ,
        GTX1_MGTREFCLKRX_IN             =>      ,
        GTX1_NORTHREFCLKRX_IN           =>      ,
        GTX1_PERFCLKRX_IN               =>      ,
        GTX1_PLLRXRESET_IN              =>      ,
        GTX1_RXPLLLKDET_OUT             =>      ,
        GTX1_RXPLLREFSELDY_IN           =>      ,
        GTX1_RXRESETDONE_OUT            =>      ,
        GTX1_SOUTHREFCLKRX_IN           =>      ,
        ----------------- Receive Ports - RX Polarity Control Ports ----------------
        GTX1_RXPOLARITY_IN              =>      ,
        ------------- Shared Ports - Dynamic Reconfiguration Port (DRP) ------------
        GTX1_DADDR_IN                   =>      ,
        GTX1_DCLK_IN                    =>      ,
        GTX1_DEN_IN                     =>      ,
        GTX1_DI_IN                      =>      ,
        GTX1_DRDY_OUT                   =>      ,
        GTX1_DRPDO_OUT                  =>      ,
        GTX1_DWE_IN                     =>      ,
        ---------------- Transmit Ports - 8b10b Encoder Control Ports --------------
        GTX1_TXCHARISK_IN               =>      ,
        ------------------ Transmit Ports - TX Data Path interface -----------------
        GTX1_TXDATA_IN                  =>      ,
        GTX1_TXOUTCLK_OUT               =>      ,
        GTX1_TXRESET_IN                 =>      ,
        GTX1_TXUSRCLK_IN                =>      ,
        GTX1_TXUSRCLK2_IN               =>      ,
        ---------------- Transmit Ports - TX Driver and OOB signaling --------------
        GTX1_TXDIFFCTRL_IN              =>      ,
        GTX1_TXN_OUT                    =>      ,
        GTX1_TXP_OUT                    =>      ,
        GTX1_TXPOSTEMPHASIS_IN          =>      ,
        --------------- Transmit Ports - TX Driver and OOB signalling --------------
        GTX1_TXPREEMPHASIS_IN           =>      ,
        ----------------------- Transmit Ports - TX PLL Ports ----------------------
        GTX1_GREFCLKTX_IN               =>      ,
        GTX1_GTXTXRESET_IN              =>      ,
        GTX1_NORTHREFCLKTX_IN           =>      ,
        GTX1_PERFCLKTX_IN               =>      ,
        GTX1_SOUTHREFCLKTX_IN           =>      ,
        GTX1_TXPLLREFSELDY_IN           =>      ,
        GTX1_TXRESETDONE_OUT            =>      ,
        -------------------- Transmit Ports - TX Polarity Control ------------------
        GTX1_TXPOLARITY_IN              =>      ,


        --_____________________________________________________________________
        --_____________________________________________________________________
        --GTX2  (X0Y10)

        ------------------------ Loopback and Powerdown Ports ----------------------
        GTX2_LOOPBACK_IN                =>      ,
        ----------------------- Receive Ports - 8b10b Decoder ----------------------
        GTX2_RXCHARISK_OUT              =>      ,
        GTX2_RXDISPERR_OUT              =>      ,
        GTX2_RXNOTINTABLE_OUT           =>      ,
        ------------------- Receive Ports - Clock Correction Ports -----------------
        GTX2_RXCLKCORCNT_OUT            =>      ,
        --------------- Receive Ports - Comma Detection and Alignment --------------
        GTX2_RXCOMMADET_OUT             =>      ,
        GTX2_RXENMCOMMAALIGN_IN         =>      ,
        GTX2_RXENPCOMMAALIGN_IN         =>      ,
        ------------------- Receive Ports - RX Data Path interface -----------------
        GTX2_RXDATA_OUT                 =>      ,
        GTX2_RXRESET_IN                 =>      ,
        GTX2_RXUSRCLK_IN                =>      ,
        GTX2_RXUSRCLK2_IN               =>      ,
        ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        GTX2_RXEQMIX_IN                 =>      ,
        GTX2_RXN_IN                     =>      ,
        GTX2_RXP_IN                     =>      ,
        ------------------------ Receive Ports - RX PLL Ports ----------------------
        GTX2_GREFCLKRX_IN               =>      ,
        GTX2_GTXRXRESET_IN              =>      ,
        GTX2_MGTREFCLKRX_IN             =>      ,
        GTX2_NORTHREFCLKRX_IN           =>      ,
        GTX2_PERFCLKRX_IN               =>      ,
        GTX2_PLLRXRESET_IN              =>      ,
        GTX2_RXPLLLKDET_OUT             =>      ,
        GTX2_RXPLLREFSELDY_IN           =>      ,
        GTX2_RXRESETDONE_OUT            =>      ,
        GTX2_SOUTHREFCLKRX_IN           =>      ,
        ----------------- Receive Ports - RX Polarity Control Ports ----------------
        GTX2_RXPOLARITY_IN              =>      ,
        ------------- Shared Ports - Dynamic Reconfiguration Port (DRP) ------------
        GTX2_DADDR_IN                   =>      ,
        GTX2_DCLK_IN                    =>      ,
        GTX2_DEN_IN                     =>      ,
        GTX2_DI_IN                      =>      ,
        GTX2_DRDY_OUT                   =>      ,
        GTX2_DRPDO_OUT                  =>      ,
        GTX2_DWE_IN                     =>      ,
        ---------------- Transmit Ports - 8b10b Encoder Control Ports --------------
        GTX2_TXCHARISK_IN               =>      ,
        ------------------ Transmit Ports - TX Data Path interface -----------------
        GTX2_TXDATA_IN                  =>      ,
        GTX2_TXOUTCLK_OUT               =>      ,
        GTX2_TXRESET_IN                 =>      ,
        GTX2_TXUSRCLK_IN                =>      ,
        GTX2_TXUSRCLK2_IN               =>      ,
        ---------------- Transmit Ports - TX Driver and OOB signaling --------------
        GTX2_TXDIFFCTRL_IN              =>      ,
        GTX2_TXN_OUT                    =>      ,
        GTX2_TXP_OUT                    =>      ,
        GTX2_TXPOSTEMPHASIS_IN          =>      ,
        --------------- Transmit Ports - TX Driver and OOB signalling --------------
        GTX2_TXPREEMPHASIS_IN           =>      ,
        ----------------------- Transmit Ports - TX PLL Ports ----------------------
        GTX2_GREFCLKTX_IN               =>      ,
        GTX2_GTXTXRESET_IN              =>      ,
        GTX2_NORTHREFCLKTX_IN           =>      ,
        GTX2_PERFCLKTX_IN               =>      ,
        GTX2_SOUTHREFCLKTX_IN           =>      ,
        GTX2_TXPLLREFSELDY_IN           =>      ,
        GTX2_TXRESETDONE_OUT            =>      ,
        -------------------- Transmit Ports - TX Polarity Control ------------------
        GTX2_TXPOLARITY_IN              =>      ,


        --_____________________________________________________________________
        --_____________________________________________________________________
        --GTX3  (X0Y11)

        ------------------------ Loopback and Powerdown Ports ----------------------
        GTX3_LOOPBACK_IN                =>      ,
        ----------------------- Receive Ports - 8b10b Decoder ----------------------
        GTX3_RXCHARISK_OUT              =>      ,
        GTX3_RXDISPERR_OUT              =>      ,
        GTX3_RXNOTINTABLE_OUT           =>      ,
        ------------------- Receive Ports - Clock Correction Ports -----------------
        GTX3_RXCLKCORCNT_OUT            =>      ,
        --------------- Receive Ports - Comma Detection and Alignment --------------
        GTX3_RXCOMMADET_OUT             =>      ,
        GTX3_RXENMCOMMAALIGN_IN         =>      ,
        GTX3_RXENPCOMMAALIGN_IN         =>      ,
        ------------------- Receive Ports - RX Data Path interface -----------------
        GTX3_RXDATA_OUT                 =>      ,
        GTX3_RXRESET_IN                 =>      ,
        GTX3_RXUSRCLK_IN                =>      ,
        GTX3_RXUSRCLK2_IN               =>      ,
        ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        GTX3_RXEQMIX_IN                 =>      ,
        GTX3_RXN_IN                     =>      ,
        GTX3_RXP_IN                     =>      ,
        ------------------------ Receive Ports - RX PLL Ports ----------------------
        GTX3_GREFCLKRX_IN               =>      ,
        GTX3_GTXRXRESET_IN              =>      ,
        GTX3_MGTREFCLKRX_IN             =>      ,
        GTX3_NORTHREFCLKRX_IN           =>      ,
        GTX3_PERFCLKRX_IN               =>      ,
        GTX3_PLLRXRESET_IN              =>      ,
        GTX3_RXPLLLKDET_OUT             =>      ,
        GTX3_RXPLLREFSELDY_IN           =>      ,
        GTX3_RXRESETDONE_OUT            =>      ,
        GTX3_SOUTHREFCLKRX_IN           =>      ,
        ----------------- Receive Ports - RX Polarity Control Ports ----------------
        GTX3_RXPOLARITY_IN              =>      ,
        ------------- Shared Ports - Dynamic Reconfiguration Port (DRP) ------------
        GTX3_DADDR_IN                   =>      ,
        GTX3_DCLK_IN                    =>      ,
        GTX3_DEN_IN                     =>      ,
        GTX3_DI_IN                      =>      ,
        GTX3_DRDY_OUT                   =>      ,
        GTX3_DRPDO_OUT                  =>      ,
        GTX3_DWE_IN                     =>      ,
        ---------------- Transmit Ports - 8b10b Encoder Control Ports --------------
        GTX3_TXCHARISK_IN               =>      ,
        ------------------ Transmit Ports - TX Data Path interface -----------------
        GTX3_TXDATA_IN                  =>      ,
        GTX3_TXOUTCLK_OUT               =>      ,
        GTX3_TXRESET_IN                 =>      ,
        GTX3_TXUSRCLK_IN                =>      ,
        GTX3_TXUSRCLK2_IN               =>      ,
        ---------------- Transmit Ports - TX Driver and OOB signaling --------------
        GTX3_TXDIFFCTRL_IN              =>      ,
        GTX3_TXN_OUT                    =>      ,
        GTX3_TXP_OUT                    =>      ,
        GTX3_TXPOSTEMPHASIS_IN          =>      ,
        --------------- Transmit Ports - TX Driver and OOB signalling --------------
        GTX3_TXPREEMPHASIS_IN           =>      ,
        ----------------------- Transmit Ports - TX PLL Ports ----------------------
        GTX3_GREFCLKTX_IN               =>      ,
        GTX3_GTXTXRESET_IN              =>      ,
        GTX3_NORTHREFCLKTX_IN           =>      ,
        GTX3_PERFCLKTX_IN               =>      ,
        GTX3_SOUTHREFCLKTX_IN           =>      ,
        GTX3_TXPLLREFSELDY_IN           =>      ,
        GTX3_TXRESETDONE_OUT            =>      ,
        -------------------- Transmit Ports - TX Polarity Control ------------------
        GTX3_TXPOLARITY_IN              =>      


    );



    -----------------------Dedicated GTX Reference Clock Inputs ---------------
    -- Each dedicated refclk you are using in your design will need its own IBUFDS_GTXE1 instance
    
    q2_clk0_refclk_ibufds_i : IBUFDS_GTXE1
    port map
    (
        O                               =>      ,
        ODIV2                           =>      ,
        CEB                             =>      ,
        I                               =>      ,  -- Connect to package pin V6
        IB                              =>        -- Connect to package pin V5
    );












